curl --request GET \
--url https://api.ravion.com/sandboxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/sandboxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ravion.com/sandboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ravion.com/sandboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ravion.com/sandboxes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ravion.com/sandboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"cpu": 123,
"createdAt": "2023-11-07T05:31:56Z",
"diskGib": 123,
"envKeys": [
"<string>"
],
"executionEnvironmentId": "<string>",
"id": "<string>",
"idleTimeoutSeconds": 123,
"memoryMib": 123,
"organizationId": "<string>",
"ports": [
{
"domain": "<string>",
"port": 32768,
"status": "PENDING",
"takeover": true,
"url": "<string>",
"error": "<string>"
}
],
"retentionSeconds": 123,
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"app": {
"appId": "<string>",
"moduleInstanceId": "<string>",
"branch": "<string>",
"commit": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"host": {
"hostId": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"lastActiveAt": "2023-11-07T05:31:56Z",
"moduleInstanceId": "<string>",
"onResume": [
"<string>"
],
"pausedAt": "2023-11-07T05:31:56Z",
"statusReason": "<string>"
}
],
"meta": {
"limit": 123,
"nextCursor": "<string>",
"totalCount": 123
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}List sandboxes
List the sandboxes in your organization, newest first, optionally narrowed to one execution environment or to some statuses.
curl --request GET \
--url https://api.ravion.com/sandboxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/sandboxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ravion.com/sandboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ravion.com/sandboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ravion.com/sandboxes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ravion.com/sandboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"cpu": 123,
"createdAt": "2023-11-07T05:31:56Z",
"diskGib": 123,
"envKeys": [
"<string>"
],
"executionEnvironmentId": "<string>",
"id": "<string>",
"idleTimeoutSeconds": 123,
"memoryMib": 123,
"organizationId": "<string>",
"ports": [
{
"domain": "<string>",
"port": 32768,
"status": "PENDING",
"takeover": true,
"url": "<string>",
"error": "<string>"
}
],
"retentionSeconds": 123,
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"app": {
"appId": "<string>",
"moduleInstanceId": "<string>",
"branch": "<string>",
"commit": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"host": {
"hostId": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"lastActiveAt": "2023-11-07T05:31:56Z",
"moduleInstanceId": "<string>",
"onResume": [
"<string>"
],
"pausedAt": "2023-11-07T05:31:56Z",
"statusReason": "<string>"
}
],
"meta": {
"limit": 123,
"nextCursor": "<string>",
"totalCount": 123
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Query Parameters
Return only sandboxes in this execution environment.
Return only sandboxes in any of these statuses.
11Where a sandbox is in its life.
PENDING: created, waiting for a host. STARTING: a host is booting it. RUNNING: ready for
commands. PAUSING: its disk is being snapshotted. PAUSED: stopped with a snapshot to resume
from. RESUMING: booting from its snapshot. STOPPING/STOPPED: stopped by you or by the loss
of its host; a stopped sandbox with a snapshot can be resumed. EXPIRED: its retention period
ended and its snapshot was deleted. DELETED: deleted on request. FAILED: it could not be
started; see statusReason.
PENDING, STARTING, RUNNING, PAUSING, PAUSED, RESUMING, STOPPING, STOPPED, EXPIRED, DELETED, FAILED Was this page helpful?